Bug 1308367 - Review Request: raknet - C++ networking engine for game programmers [NEEDINFO]
Summary: Review Request: raknet - C++ networking engine for game programmers
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-02-14 21:11 UTC by John M. Harris, Jr.
Modified: 2018-08-07 20:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 20:46:01 UTC
ignatenko: needinfo? (mark)


Attachments (Terms of Use)

Description John M. Harris, Jr. 2016-02-14 21:11:05 UTC
Spec URL: https://git.openblox.org/raknet.git/plain/raknet.spec
SRPM URL: https://openblox.org/~johnmh/libraknet-4.081-1.fc23.src.rpm
Description:
RakNet is a cross platform "open source" networking library written in C++. RakNet is geared towards games, and is already used in at least one package that is currently in Fedora (blobby). It's under the BSD license, and currently owned by Oculus VR, Inc.

The upstream repository is located on GitHub: https://github.com/OculusVR/RakNet

Fedora Account System Username: johnmh

Comment 1 Upstream Release Monitoring 2016-02-15 05:21:02 UTC
johnmh's scratch build of libraknet-4.081-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12990400

Comment 2 Ralf Corsepius 2016-02-15 05:25:23 UTC
Am I correct in assuming you to be new to fedora packaging?

Comment 3 John M. Harris, Jr. 2016-02-15 05:29:24 UTC
(In reply to Ralf Corsepius from comment #2)
> Am I correct in assuming you to be new to fedora packaging?

Yes, this would be my first package.

Comment 4 John M. Harris, Jr. 2016-02-15 07:58:34 UTC
Revised spec file and SRPM

Spec URL: https://git.openblox.org/raknet.git/plain/libraknet.spec
SRPM URL: https://openblox.org/~johnmh/libraknet-4.081-1.fc23.src.rpm

Comment 5 Upstream Release Monitoring 2016-02-15 08:04:50 UTC
johnmh's scratch build of libraknet-4.081-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12990732

Comment 6 John M. Harris, Jr. 2016-02-16 02:16:36 UTC
Updated Spec file, "Packager" is no longer hard-coded and I'm no longer using wildcards like crazy (libdir/*).

SRPM URL: https://openblox.org/~johnmh/libraknet-4.081-2.fc23.src.rpm

Comment 7 John M. Harris, Jr. 2016-02-20 18:50:44 UTC
Updated spec file to use cmake on RakNet's sources. Thanks to the way the upstream CMake files were written, some changes were necessary. A pull request has been made. There is currently a pull request to fix the `install` target of the generated Makefile, as well.

Spec URL: https://git.openblox.org/raknet.git/plain/libraknet.spec
SRPM URL: https://github.com/JohnMHarrisJr/RakNet/releases/download/4.081-2/libraknet-4.081-3.fc23.src.rpm

Comment 8 Upstream Release Monitoring 2016-02-20 19:00:47 UTC
johnmh's scratch build of libraknet-4.081-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13067927

Comment 9 Richard Shaw 2016-02-25 14:04:08 UTC
A little spec review:

1. rm -rf $RPM_BUILD_ROOT in %install isn't needed anymore (for a long time).

2. "cp -f" in %install

You shouldn't need to force anything as nothing should already be there but you should preserve time stamps so use "cp -p" instead.

3. find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

Since this appears to be a cmake project I would be surprised to see libtool archives in it but I haven't tried building the software yet.

4. %{_libdir}/libraknet.so

Fedora pretty much requires libraries to carry a soversion for anything going into %{_libdir}. This will take some more thought. I have a project that I have to maintain the soversion manually. It's not terribly problematic but I do have to check changes against abi-compliance-checker to see if I need to bump the version.

5. %changelog

a. There should be one line between changelog entries.
b. Your name and email address should be in them (it's ok to mangle the email address if that's a concern).
c. The release should be on the end.

So your current changelog would become:

%changelog
* Sat Feb 20 2016 John M. Harris <email address> - 4.081-3
- Use actual RakNet sources and CMake to generate build files.

* Mon Feb 15 2016 John M. Harris <email address> - 4.081-2
- Updated spec file to use a wildcard for headers, not for libraries.

* Mon Feb 15 2016 John M. Harris <email address> - 4.081-1
- Initial packaging of raknet.

Comment 10 John M. Harris, Jr. 2016-03-19 21:06:29 UTC
Updated spec file, patched CMake files from upstream for SO versioning.

Spec URL: https://git.openblox.org/raknet.git/plain/libraknet.spec
SRPM URL: https://github.com/JohnMHarrisJr/RakNet/releases/download/4.081-4/libraknet-4.081-4.fc23.src.rpm

Comment 11 Michael Schwendt 2016-05-26 20:41:30 UTC
> %files
> %license LICENSE
> %{_libdir}/libraknet.so.4.081
> %{_libdir}/libraknet.so

> %files devel
> %{_includedir}/raknet/*.h

Placement of build-time .so files:
https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages

Unowned directory /usr/include/raknet/:
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

Comment 12 John M. Harris, Jr. 2016-05-28 02:42:23 UTC
Updated spec file, %files devel now lists %{_includedir}/raknet/ instead of %{_includedir}/raknet/*.h

libraknet.so has been moved from %files to %files devel

Spec URL: https://git.openblox.org/raknet.git/plain/libraknet.spec
SRPM URL: https://github.com/JohnMHarrisJr/RakNet/releases/download/4.081-5/libraknet-4.081-5.fc23.src.rpm

Comment 13 Igor Gnatenko 2016-08-09 07:40:25 UTC
please rename it to raknet or even to RakNet, as this is upstream name.

Vadim, can you make review of this simple, but useful package?

Comment 14 mark 2016-08-09 23:44:05 UTC
Renamed to raknet in b722205bf223d7bbde70a54d608d0bf602ac5e14, spec is at https://git.openblox.org/raknet.git/tree/raknet.spec and SRPM at https://openblox.org/~mark/raknet-4.081-5.fc24.src.rpm.

FAS username: markotaris

Comment 15 mark 2016-08-10 00:09:40 UTC
Actually, SRPM at https://openblox.org/~mark/raknet-4.081-6.fc24.src.rpm. I forgot to increment the release number, I am sorry.

Comment 16 Ben Rosser 2017-08-23 00:40:46 UTC
What's the status of this review? Mark, are you interested in taking it over?

If so, I think the policy is that you should open a new review request and mark this one as a duplicate: https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding (assuming John is no longer interested in the package).

Comment 17 Ben Rosser 2018-08-07 20:46:01 UTC
Okay, I'm going to close this ticket in accordance with the stalled review policy (which I linked in my previous comment), as it's been much longer than a week with no response here...

If someone (Mark?) is still interested in packaging raknet (or a fork of raknet), please open a new ticket for that request. I'm happy to review.


Note You need to log in before you can comment on or make changes to this bug.